> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/salesforce/page-manipulation/reorder.md).

# Reordering PDF pages using JavaScript

Learn how to reorder pages in a PDF document with the movePages function. Optimize your workflow and manage your files efficiently. Salesforce WebViewer adds accurate, reliable document processing to

Pages in the PDF document can be reordered using the [movePages](https://sdk.apryse.com/api/web/Core.Document.html#movePages) function.

{% tabs %}
{% tab title="JavaScript (SDK v8.0+)" %}
{% code lineNumbers="true" %}

```js
// config.js
const { documentViewer } = instance.Core;

documentViewer.addEventListener('documentLoaded', async () => {
  const doc = documentViewer.getDocument();
  const page1 = 1, page2 = 2, page3 = 3;

  const pagesToMove = [page2, page3];
  const insertBefore = page1;

  await doc.movePages(pagesToMove, insertBefore);
  // pages are now in the order of [page2, page3, page1];
});
```

{% endcode %}

[WebViewerInstance](https://sdk.apryse.com/api/web/WebViewerInstance.html) [DocumentViewer.getDocument](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getDocument__anchor) [Document.movePages](https://sdk.apryse.com/api/web/Core.Document.html#movePages)
{% endtab %}

{% tab title="JavaScript (SDK v6.0+)" %}
{% code lineNumbers="true" %}

```js
// config.js
const { docViewer } = instance;

docViewer.on('documentLoaded', async () => {
  const doc = docViewer.getDocument();
  const page1 = 1, page2 = 2, page3 = 3;

  const pagesToMove = [page2, page3];
  const insertBefore = page1;

  await doc.movePages(pagesToMove, insertBefore);
  // pages are now in the order of [page2, page3, page1];
});
```

{% endcode %}

[WebViewerInstance](https://sdk.apryse.com/api/web/WebViewerInstance.html) [DocumentViewer.getDocument](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getDocument__anchor) [Document.movePages](https://sdk.apryse.com/api/web/Core.Document.html#movePages)
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/salesforce/page-manipulation/reorder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
